summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2009-11-10 21:19:17 +0000
committerRoy Marples <roy@marples.name>2009-11-10 21:19:17 +0000
commitbb96dc4e01db2ba47c4be98dfe0f5e208df9ec2e (patch)
tree06cd62d20430bf735ecc5efef13c521af6167af8
parentebb49805fca3d53b02c3eaa992e4bed49eca365c (diff)
downloadopenrc-bb96dc4e01db2ba47c4be98dfe0f5e208df9ec2e.tar.gz
openrc-bb96dc4e01db2ba47c4be98dfe0f5e208df9ec2e.tar.bz2
openrc-bb96dc4e01db2ba47c4be98dfe0f5e208df9ec2e.tar.xz
Fix iproute2 support.
Fixes Gentoo #289762.
-rw-r--r--init.d/network.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/init.d/network.in b/init.d/network.in
index 7f64b17..0d45cb9 100644
--- a/init.d/network.in
+++ b/init.d/network.in
@@ -112,8 +112,8 @@ runip()
err=$(LC_ALL=C ip address add "$@" dev "$int" 2>&1)
if [ -z "$err" ]; then
# ip does not bring up the interface when adding addresses
- if ! intup; then
- ip set link up dev "$int"
+ if ! $intup; then
+ ip link set "$int" up
intup=true
fi
return 0